Bug 1191972 - Location in the http header is wrong
Summary: Location in the http header is wrong
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: API/integration
Version: 2.6 Beta
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Ina Panova
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-12 10:15 UTC by Ina Panova
Modified: 2015-02-28 23:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 23:23:34 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 695 0 None None None Never

Description Ina Panova 2015-02-12 10:15:31 UTC
Description of problem:
In some parts of API the location path is wrong. For example:

$ curl -i -H "Accept: application/json" -H "WebFrameworkSwitch: webpy" -X POST -k -u admin:admin -d '{"role_id":"role2"}' 'https://localhost/pulp/api/v2/roles/'
HTTP/1.1 201 Created
Date: Fri, 30 Jan 2015 10:37:00 GMT
Server: Apache/2.4.10 (Fedora) OpenSSL/1.0.1e-fips mod_wsgi/3.5 Python/2.7.5
Location: role2
Content-Length: 179
Content-Type: application/json
 
{"display_name": "role2", "description": null, "_ns": "roles", "_href": "/pulp/api/v2/roles/role2/", "_id": {"$oid": "54cb5ecc45ef482660d215f2"}, "id": "role2", "permissions": {}}

location is 'Location: role2' instead of 'Location: https://localhost/pulp/api/v2/roles/role2/'

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ina Panova 2015-02-16 08:31:03 UTC
https://github.com/pulp/pulp/pull/1597

Comment 2 Brian Bouterse 2015-02-28 23:23:34 UTC
Moved to https://pulp.plan.io/issues/695


Note You need to log in before you can comment on or make changes to this bug.